<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
    xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="registroNuevo">
        <pm:header>
            Nuevo detalle Pallet
        </pm:header>
        <pm:content>
            <p:panel id="regEdicion02" header="Nuevo registro LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos}  -->  Registro #{palletMB.registroSeleccionado.numero}">
                <h:form id="newForm">
                    <p:messages id="mensaje2" showDetail="true" autoUpdate="true" />
                    <p:growl id="growl2" showDetail="true" sticky="true"></p:growl>
                    <h:panelGrid columns="3" >
                        <p:outputLabel for="id311" value="Id pallet: "  style="font-weight: bold"/>
                        <p:inputText id="id311" value="#{detalleMB.pallet.id}" style="width: 350px" readonly="true"/>
                        <p:outputLabel   value="* Campo de Lectura"/>
                        
                        <p:outputLabel for="ctarima321" value="C. Tarima: "  style="font-weight: bold"/>
                        <p:inputText id="ctarima321" value="#{detalleMB.pallet.tarima}" style="width: 350px" readonly="true"/>
                        <p:outputLabel   value="* Campo de Lectura"/>
                        
                        <p:outputLabel for="cmarca331" value="C. Marca: "  style="font-weight: bold"/>
                        <p:inputText id="cmarca331" value="#{detalleMB.pallet.marca}" style="width: 350px" readonly="true"/>
                        <p:outputLabel value="* Campo de Lectura"/>
                        
                        <p:outputLabel for="id001_" value=""/>
                        <p:inputText id="id001_" value="#{detalleMB.pallet.id}" type="hidden" /> 
                        <p:outputLabel value=""/>
                        
                        
                    </h:panelGrid>
                    <pm:content>
                        <p:panel id="reg002" header="###################### NUEVO DETALLE DE PALLET ######################">
                            <h:form id="newForm01">
                                <p:messages id="mensaje301" showDetail="true" autoUpdate="true" />
                                <p:growl id="grow301" showDetail="true" sticky="true"></p:growl>
                                <h:panelGrid columns="3" >
                                    
                                    <p:outputLabel for="cajasN01" value="Número de Cajas:"  style="font-weight: bold"/>
                                    <p:inputNumber id="cajasN01" value="#{palletMB.detalleNuevo.cajas}" 
                                                   required="true" requiredMessage="Error al salvar registro. El campo cajas es requerido"/> 
                                    <p:outputLabel value="* Campo de lectura"/>

                                    <p:outputLabel for="ccalibreN01" value="C. Calibre: "  style="font-weight: bold"/>
                                    <p:selectOneMenu id="ccalibreN01"  value="#{palletMB.idcalibre}"
                                                    filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                    required="true" requiredMessage="Error al salvar registro. El campo calibre es requerido" style="width:99%">
                                       <f:selectItem itemLabel="Selecciona una opción"  />
                                       <f:selectItems value="#{palletMB.cat_calibre}" var="registrop" itemLabel="#{registrop.nombre}" 
                                                      itemValue="#{registrop.id}"/>
                                    </p:selectOneMenu> 
                                    <p:outputLabel   value="* Campo requerido"/>

                                    <p:outputLabel for="ccalidadN01" value="C. Calidad: "  style="font-weight: bold"/>
                                    <p:selectOneMenu id="ccalidadN01"  value="#{palletMB.idcalidad}"
                                                    filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                    required="true" requiredMessage="Error al salvar registro. El campo calidad es requerido" style="width:99%">
                                       <f:selectItem itemLabel="Selecciona una opción"  />
                                       <f:selectItems value="#{palletMB.cat_calidad}" var="registrop" itemLabel="#{registrop.nombre}" 
                                                      itemValue="#{registrop.id}"/>
                                    </p:selectOneMenu> 
                                    <p:outputLabel   value="* Campo requerido"/>
                                    
                                    <p:outputLabel for="cactivoN01" value="Activo: "  style="font-weight: bold"/>
                                    <p:selectOneMenu id="cactivoN01"  value="#{palletMB.idactivo}" disabled="true"
                                                    filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                    required="true" requiredMessage="Error al salvar registro. El campo activo es requerido" style="width:99%">
                                        <f:selectItems value="#{palletMB.cat_activo}" var="registrop" itemLabel="#{registrop.nombre}"  
                                                      itemValue="#{registrop.id}"/>
                                    </p:selectOneMenu> 
                                    <p:outputLabel   value="* Campo requerido"/>
                                    
                                    <p:outputLabel for="cdiN01" value="C. CDI: "  style="font-weight: bold"/>
                                    <p:inputText id="cdiN01" value="#{palletMB.detalleNuevo.cdi}" style="width: 350px" 
                                                 required="true" requiredMessage="Error al salvar registro. El campo CDI es requerido"/>
                                    <p:outputLabel   value="* Campo requerido"/>
                                
                                </h:panelGrid>
                                <p:button value="Guardar"  outcome="#{
                                        palletMB.guardarDetalleNuevo(
                                        palletMB.detalleNuevo.cajas,
                                        palletMB.idcalibre,
                                        palletMB.idcalidad,
                                        1,
                                        palletMB.detalleNuevo.cdi,
                                        detalleMB.pallet.id,
                                        sessionMB.usuariomovil.id
                                        )}"  style="width:100%;height:35px;font-weight: bold;margin-right:30px;" />
                                <p:button value="Cancelar" outcome="#{palletMB.seleccionMobileList()}"  style="width:100%;height:35px;font-weight: bold;margin-right:30px;" />
                            </h:form>
                        </p:panel>  
                    </pm:content> 
                </h:form>
            </p:panel>
        </pm:content> 
    </pm:page>
</h:body>
</html>